package com.ruoyi.device.mqtt.enums;

/**
 * 设备模块 Redis 键枚举（密文解密相关）
 */
public enum DeviceRedisEnum
{
    DEVICE_FREE_SPACE("CPYYPT:DEVICE_FREE_SPACE:%s", -1, "设备剩余空间"),
    PASS_TAX_DATA_GUN_NO("%s_%s_%s", 600, "加油机报税口月报数据请求中枪号"),
    PASS_TAX_DATA("%s_%s_%s_%s_%s", 600, "加油机报税口月报数据"),
    TAX_CIPHERTEXT_DATA_ORIGNAL("CPYYPT:TAX_CIPHERTEXT_DATA_ORIGNAL", -1, "报税口密文原始队列"),
    TAX_CIPHERTEXT_DATA_SEND("CPYYPT:TAX_CIPHERTEXT_DATA_SEND", -1, "报税口密文发送队列"),
    TAX_CIPHERTEXT_DATA_FAIL("CPYYPT:TAX_CIPHERTEXT_DATA_FAIL", -1, "报税口密文失败队列"),
    TAX_CIPHERTEXT_OUT_RESULT("CPYYPT:TCOR:%s", 30, "外部报税口密文数据结果");

    private final String key;
    private final int expireTime;
    private final String message;

    DeviceRedisEnum(String key, int expireTime, String message)
    {
        this.key = key;
        this.expireTime = expireTime;
        this.message = message;
    }

    public String getKey()
    {
        return key;
    }

    public int getExpireTime()
    {
        return expireTime;
    }

    public String getMessage()
    {
        return message;
    }
}
